Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceOther

Get a webhook delivery

GET
/v1/webhooks/deliveries/{id}

One delivery with its attempts and the start of the signed body.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^msg_[a-z0-9]{8,40}$

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/deliveries/string"
{  "object": "webhook_delivery",  "id": "string",  "endpoint_id": "string",  "event_id": "string",  "event_type": "call.completed",  "status": "pending",  "test": true,  "attempts": [    {      "n": 1,      "at": "2019-08-24T14:15:22Z",      "status_code": 0,      "latency_ms": 0,      "error": "string",      "response_snippet": "string"    }  ],  "next_attempt_at": "2019-08-24T14:15:22Z",  "request_snippet": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}